Subject: [bug#77681] [PATCH 0/6 emacs-team] Run emacs tests

From: Nicolas Graves <[email-masked]>
Date: Wed, 09 Apr 2025 23:09:11 +0200

On 2025-04-09 14:54, Morgan Smith wrote:

> I got a couple changes here but probably the most important is running the
> emacs test suite.
>
> I did want to ask about emacs-xwidgets though.  Recent versions of xwidgets
> (like the one we have packaged) does not play well with Emacs.  For more
> information see: Bug#66068
>
> I don't think this will be resolved anytime soon though.  Do we make a
> deprecated package for emacs-xwidgets or just remove it?
>
> Morgan Smith (6):
>   gnu: emacs-next: Update to 31.0.50-1.9663c95.
>   gnu: emacs-magit-popup: Skip tests.
>   gnu: emacs-guix: Skip tests.
>   gnu: emacs-stgit: Skip tests.
>   doc: Emacs Packages: Remove outdated commentary on testing.
>   gnu: emacs: Run tests.

I recently resumed some development efforts on emacs-guix, and will
probably come back to it from time to time.  Do you have an intuitive
assessment about how bad the situation is on emacs-guix tests?

TY Morgan!

-- 
Best regards,
Nicolas Graves